Bug 80458 - Missing Option for GRUB Location
Summary: Missing Option for GRUB Location
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: phoebe
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-26 19:53 UTC by Jim Rich
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-27 17:24:03 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jim Rich 2002-12-26 19:53:44 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021218

Description of problem:
GRUB location must be selectable as either MBR or /.  Currently overwrites MBR,
destroying user's boot manager. 


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Install a boot manager, such as BootItNG.
2.Install phoebe.
3.Restore the MBR to the original boot manager.
    

Actual Results:  Anaconda rudely gives only the choice of overwriting the
3rd-party boot manager MBR or booting off floppy.


Expected Results:  Anaconda must allow retention of the 3rd-party boot manager
by specifying an alternate location for GRUB, such as /.


Additional info:

Other distributions offer a choice of putting GRUB in the MBR, or in / allowing
3rd-party boot manager to retain control.

Comment 1 Jeremy Katz 2002-12-27 17:24:03 UTC
This is configurable from the advanced boot loader options screen


Note You need to log in before you can comment on or make changes to this bug.